/* 生年月日(文字型) を日付型に変換してセットする。文字型のデータがNULLの場合はNULLをセットする */
UPDATE src06.hcp_web_medpass_user_mst SET
BirthDate  = IF(
    BirthDate_org IS NULL,
    NULL,
    medaca_common.convert_to_date(BirthDate_org, '%Y-%m-%d')
);

/* 登録日時(文字型)を日付型に変換してセットする。文字型のデータがNULLの場合はNULLをセットする */
UPDATE src06.hcp_web_medpass_user_mst SET
CreateDate = IF(
    CreateDate_org IS NULL,
    NULL,
    medaca_common.convert_to_date(CreateDate_org, '%Y-%m-%dT%H:%i:%s+09:00')
);

/* 最終更新日時(文字型)を日付型に変換してセットする。文字型のデータがNULLの場合はNULLをセットする */
UPDATE src06.hcp_web_medpass_user_mst SET
LastUpdate = IF(
    LastUpdate_org IS NULL,
    NULL,
    medaca_common.convert_to_date(LastUpdate_org, '%Y-%m-%dT%H:%i:%s+09:00')
);
